#ifndef CHATLINEBUFFER_HPP_INCLUDED
#define CHATLINEBUFFER_HPP_INCLUDED

#include "../JavaClass/Object.hpp"
#include "../JavaClass/Class.hpp"
#include <cstdint>
#include <vector>
#include "MessageNode.hpp"

class ChatLineBuffer : public Object
{
    public:
        ChatLineBuffer();
        ChatLineBuffer(const void* Obj);
        ChatLineBuffer(const ChatLineBuffer& C);
        static Class GetClass();

        std::int32_t GetLength() const;
        std::vector<MessageNode> GetLines() const;

};

#endif // CHATLINEBUFFER_HPP_INCLUDED
